aboutsummaryrefslogtreecommitdiffstats
path: root/main/mrtg/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-07-17 17:42:31 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-07-17 17:42:31 +0000
commitbcebf7b2dd8a48c9c230fc38b7a737a103b124a9 (patch)
tree77538c9c362b68ee8c0e98a792a751a77ade45f5 /main/mrtg/APKBUILD
parent0c2779ec9918d3df93899b2488c5f965ef0b654b (diff)
downloadaports-bcebf7b2dd8a48c9c230fc38b7a737a103b124a9.tar.gz
aports-bcebf7b2dd8a48c9c230fc38b7a737a103b124a9.tar.bz2
aports-bcebf7b2dd8a48c9c230fc38b7a737a103b124a9.tar.xz
main/mrtg: moved from testing
Diffstat (limited to 'main/mrtg/APKBUILD')
-rw-r--r--main/mrtg/APKBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/main/mrtg/APKBUILD b/main/mrtg/APKBUILD
new file mode 100644
index 0000000000..9334db7a47
--- /dev/null
+++ b/main/mrtg/APKBUILD
@@ -0,0 +1,34 @@
+# Contributor: Jeff Bilyk<jbilyk at gmail>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=mrtg
+pkgver=2.16.4
+pkgrel=1
+pkgdesc="MRTG Network Latency Monitoring"
+url="http://oss.oetiker.ch/mrtg/"
+source="http://oss.oetiker.ch/mrtg/pub/$pkgname-$pkgver.tar.gz
+ mrtg.initd mrtg.confd"
+subpackages="$pkgname-doc"
+depends="perl"
+makedepends="gd-dev libpng-dev zlib-dev"
+license="GPL"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+ cd "$_builddir"
+ ./configure --bindir=/usr/bin \
+ --libdir=/usr/lib \
+ --datadir=/usr/share/doc \
+ --mandir=/usr/share/doc/man \
+ || return 1
+ make
+}
+
+package() {
+ cd "$_builddir"
+ make install DESTDIR="$pkgdir"
+}
+
+md5sums="ec298200d239832ff1648fba488e1a9e mrtg-2.16.4.tar.gz
+47053d5e51ac8eefe3807d5168219f78 mrtg.initd
+a8d246d324b90fd1e37cc912d4651372 mrtg.confd"